API reference
List payment approvals
List payment approvals. Review the StableOps Agent Payments API endpoint, its authentication, request parameters, validation rules, response fields.
GET
/v1/agent-payments/approvalsAuthorization
bearerAuth AuthorizationBearer <token>
Paste your API key from the dashboard.
In: header
Response Body
application/json
curl -X GET "https://example.com/v1/agent-payments/approvals"{
"data": [
{
"id": "string",
"intent_id": "string",
"agent_id": "string",
"agent_name": "string",
"agent_wallet_id": "string",
"wallet_address": "string",
"status": "pending",
"required_approvals": 1,
"approved_count": 0,
"rejected_count": 0,
"method": "GET",
"request_body_hash": "string",
"request_content_type": "string",
"resource_url": "string",
"origin": "string",
"pay_to": "string",
"network": "string",
"asset_contract": "string",
"max_amount_atomic": "string",
"asset_decimals": 1,
"expires_at": "2019-08-24T14:15:22Z",
"decided_by": "string",
"decided_at": "2019-08-24T14:15:22Z",
"decision_reason": "string",
"created_at": "2019-08-24T14:15:22Z",
"context": {
"workflow_id": "string",
"task_id": "string",
"session_id": "string",
"tool_name": "string",
"purpose_code": "string",
"cost_center": "string",
"vendor_ref": "string"
},
"context_hash": "string"
}
],
"has_more": true,
"total": 0
}Empty
How is this guide?
Last updated
Update a payment agent daily budget PATCH
Update a payment agent daily budget. Review the StableOps Agent Payments API endpoint, its authentication, request parameters, validation rules.
Retrieve a payment approval GET
Retrieve a payment approval. Review the StableOps Agent Payments API endpoint, its authentication, request parameters, validation rules, response fields.